/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.documentationstyles;

import java.net.URI;
import org.gridprovenance.client.documentationstyles.Styler;
import org.gridprovenance.client.exception.CSLException;
//import org.w3c.dom.Element;

/**
 * A factory class for making a new instance of Styler<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class StyleFactory {

   public StyleFactory() {
   }

        /**
         * There should be a series of stylers that can be gotten from the StylerFactor
         * based on the documentation style url.
         */

   public static Styler getStyler(URI documentationStyle)
   throws CSLException {
	Styler styler = new Styler();
	return styler;
   }
}
