/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.utilities;

import java.net.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * A factory class for making a new instance of <p> 
 * InteractionId as URI<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */
public class InteractionIdFactory {
	public static URI newInstance() 
	throws Exception, CSLException {
		URI interactionId = new URI ("http://uniqueId/" + System.currentTimeMillis());
		return interactionId;
	}
}
	